Overview

A Relativity C/S data source consist of two parts, one that resides on each client machine and one that resides on the server. Once the server part of the data source has been created, clients may define data sources that refer to the server data source.

The Relativity Server Administrator allows you to define servers; create, modify and delete server data sources; and modify global options for a Relativity server. The Server Administrator runs as a Control Panel application.

Before a client machine can use a Relativity server, there are four steps that must be performed. The first three of these are done in the Server Administrator. The steps are:

  • Create a client-side description of a server. This associates a name (on the client machine) with a server. This must be done on each client machine that uses that server.
  • Create a catalog on the server machine.
  • Create a server data source. This definition is stored on the server.
  • Create a client data source that corresponds to a server data source. This must be done on each client machine that uses that server data source. This step is performed by the normal ODBC setup function in the Control Panel.


Select Server Dialog Box

The Relativity Server Administrator initially displays the Select Server dialog. This is normally used to open a connection to a server for processing, but it may also be used to define a new server definition or to modify or delete an existing server definition.

Option | Description
Server Name list | This list box displays the names of the currently defined servers.
Close button | This button exits the Relativity Server Administrator.
Open Server button | This button opens a connection to the server which is currently selected in the Server Name list. After possibly displaying the Server Login dialog to obtain a user name and password, the Data Sources dialog is displayed.
New Server button | This button opens the New Server dialog to define a connection to a server machine. After possibly displaying the Server Login dialog to obtain a user name and password, the server definition is saved and the Data Sources dialog is displayed.
Modify Server button | This button opens the Modify Server dialog to modify the definition of the connection to the server which is currently selected in the Server Name list.
Delete Server button | This button deletes the definition of the connection to the server which is currently selected in the Server Name list.
Create File DSNs automatically check box This check box controls an option which is set on the client, not the server.
  • If checked (the default), a "file data source" is created on the client each time an ordinary client data source is created. Some software, including MS Query and Excel, recognize only file data sources.
  • If not checked, file data sources are not created when client data sources are created. Do not uncheck this box if you use MS Query or Excel or any other program which requires file data sources.


New Server Dialog Box

The Relativity Server Administrator displays the New Server dialog to obtain the information needed to create a server definition.

Option | Description
Network Name text field | This text field contains the network name of the computer on which the Relativity Data Server is running. Enter the name of the server machine as it appears on the network or the IP address. The name of the server should be the same name that is used from the client to TELNET or FTP to the server machine. This is the name of the server as it appears in the HOSTS file for your TCP/IP package.
Port Number numeric field | This numeric field contains the service port number that the Relativity Data Server is using. Enter the port number on which the Relativity Data Server was installed on that server machine. The port number is 1583 unless it was changed during the installation of the server. The number 1583 is a reserved ID for the server and the only reason to change it would have been if there were to be two Relativity servers executing on the same machine.


Modify Server Dialog Box

The Relativity Server Administrator displays the Modify Server dialog to allow the user to modify a server definition.

Option | Description
Network Name text field | This text field contains the network name of the computer on which the Relativity Data Server is running. Enter the name of the server machine as it appears on the network or the IP address. The name of the server should be the same name that is used from the client to TELNET or FTP to the server machine. This is the name of the server as it appears in the HOSTS file for your TCP/IP package.
Port Number numeric field | This numeric field contains the service port number that the Relativity Data Server is using. Enter the port number on which the Relativity Data Server was installed on that server machine. The port number is 1583 unless it was changed during the installation of the server. The number 1583 is a reserved ID for the server and the only reason to change it would have been if there were to be two Relativity servers executing on the same machine.


Data Sources Dialog Box

The Relativity Server Administrator displays the Data Sources dialog when it is connected to a server. This is normally used to manipulate server data sources. The user may add, delete or modify server data sources. The user may also manipulate options that are common to all server data sources.

Option | Description
Server Data Sources list | This list box displays the names of the currently defined server data sources.
Close button | This button closes the connection to the server and re-opens the Select Server dialog.
Setup button | This button opens the Relativity for RM Setup dialog or the Relativity for MF Setup dialog to modify the server data source which is currently selected in the Server Data Sources list.
Delete button | This button deletes the server data source which is currently selected in the Server Data Sources list.
Add button | This button opens the Relativity for RM Setup dialog or the Relativity for MF Setup dialog to create a new server data source.
Options button | This button opens the Relativity Configuration Dialog to modify the server options which are common to all server data sources.
Status button | This button opens the Server Status dialog to display the server agents. The agents represent the clients connected to the server.


Server Status Dialog Box

The Server Status dialog (reached from the Data Sources dialog) displays information about each of the server agents. Each agent represents a connection to a client.

Option | Description
Server Name read-only text field | This read-only text field displays the name of the server.
Close button | This button closes the dialog box without making any changes.
Refresh button | This button updates the Agents list box.
Shutdown button | This button commands the server to shut down. This affects all clients connected to the server.
Terminate button | This button terminates the server agent which is currently selected in the Agents list box.
Agents list | This list box displays information about the server agents. Each agent represents a connection to a client. Up to four items of information are displayed for each server agent. The first item is a number that uniquely identifies the server agent; for a UNIX server, this is the UNIX process ID. Next is the client machine name; if the client provided a user name, it is displayed in parentheses following the machine name. The last item is a description of the client application, if available.


Relativity Configuration Dialog

The Relativity Configuration dialog (reached from the Data Sources dialog) is used to configure information that is not specific to a single data source. This information is stored on the server in a file named reldbms.ini.

This dialog is a Windows property sheet ("tabbed dialog"). Select from the following list of tabs:

Setup Options
MF File Manager Options
RM File Manager Options


Global Options Page

See Also

The Global Options page is used to configure information that is not specific to server data sources.

Option | Description
Micro Focus tab | This tab causes the MF File Manager Options Page to be displayed.
RM/COBOL tab | This tab causes the RM File Manager Options Page to be displayed.
Default Setup Directory text field | This text field contains the server directory that is the initial working directory in the Create Catalog for Data Source dialog box when creating files on the server.
Temporary Files Directory text field | This text field contains the server directory in which the server puts any temporary files it may need to create.
Show Deprecated Stored Procedures check box | When this check box is checked, the Relativity 4.0 DBA stored procedures, which were deprecated in the Relativity 4.1 release, will be enabled. The 4.0 stored procedures DBA_AddFileName, DBA_DeleteFileName, DBA_ListFileNames, DBA_ListTableConns, DBA_ModifyFileName will be restored. In particular, in Relativity 4.1, the stored procedure DBA_ListTableConns changed the name of the AccessNameID column to FileConnID and the name of the AccessName column to PathName. This option restores the original column names.

See Also

Relativity Configuration Dialog

Data Sources Dialog

Relativity for MF Setup Dialog

Relativity for RM Setup Dialog


MF File Manager Options Page

See Also

The MF File Manager page is used to configure file manager options that are common to all Micro Focus data sources. Option values set here apply to all server data sources which do not specify conflicting values.

Option | Description
Global tab | This tab causes the Global Options Page to be displayed.
RM/COBOL tab | This tab causes the RM File Manager Options Page to be displayed.
Created Tables Options group | The options in this group are used to configure the file format of indexed files that are created on the server as a result of SQL CREATE TABLE statements.
New File Format list This list box specifies the file format of indexed files that are created on the server as a result of SQL CREATE TABLE statements. The available entries are:
  • <None>
  • Micro Focus
  • Btrieve
  • C-ISAM
  • LEVEL II COBOL
  • IDXFORMAT"4"
  • IDXFORMAT"8"
This entry does not specify the format for existing files. If the New File Format is <None> then the Data File Format specified on the Designer's Data Source Option Page or the DBA's System Option Page is used. If the Data File Format is not present, the Catalog's Format is used.
Data Compress Num numeric field | This numeric field specifies the type data compression number to be used when new files are created on the server as a result of created tables. This value is the same as the Micro Focus COBOL DATACOMPRESS compiler option. The value of 0 indicates that no compression of data records is to take place. The value of 1 indicates that compression algorithm 1 is to be used.
Key Compression check boxes | These three check boxes control compression of keys in new files that are created on the server as a result of created tables.
Key Compression - Trailing Spaces check box This check box indicates whether compression of trailing spaces is to occur on the keys of new files that are created on the server as a result of created tables.

  • If checked, the trailing spaces are compressed.
  • If not checked, the trailing spaces are not compressed.
Key Compression - Leading Characters check box This check box indicates whether compression of leading characters is to occur on the keys of new files that are created on the server as a result of created tables.

  • If checked, the leading characters that are the same as in the previous key are compressed.
  • If not checked, the leading characters that are the same as in the previous key are not compressed.
Key Compression - Duplicates check box This check box indicates whether compression of duplicate keys is to occur on the keys of new files that are created on the server as a result of created tables.

  • If checked, the repetitions of duplicate keys are compressed.
  • If not checked, the repetitions of duplicate keys are not compressed.
Key Compression - Sparse Character Num numeric field This numeric field specifies decimal number of the sparse character for keys of new files that are created on the server as a result of created tables.

  • If this field contains a value, keys in the file that contain only this value are suppressed.
  • If this field does not contain a value, the sparse character is disabled.

See Also

Relativity Configuration Dialog

Data Sources Dialog

Relativity for MF Setup Dialog

Relativity for RM Setup Dialog


RM File Manager Options Page

See Also

The RM File Manager page is used to configure file manager options that are common to all RM data sources. Option values set here apply to all server data sources which do not specify conflicting values.

Option | Description
Global tab | This tab causes the Global Options Page to be displayed.
Micro Focus tab | This tab causes the MF File Manager Options Page to be displayed.
Buffer Pool Size numeric field | This numeric field enables setting of the buffer pool size to be used by the RM File Manager for buffer allocation. Note that only the value specified for the first data source connection takes effect when a single application connects to multiple data sources. The value specifies an integer number of kilobytes (1024 bytes) of memory to be allocated for the buffer pool. A value of zero indicates that the default value of 256K bytes should be used. If specified, the value must be a decimal integer from 16 to 649.

See Also

Relativity Configuration Dialog

Data Sources Dialog

Relativity for MF Setup Dialog

Relativity for RM Setup Dialog


Relativity for MF Setup Dialog Box

See Also

The Relativity C/S data sources consist of two parts, one that resides of the client and one that resides on the server. Use this dialog box to create or modify a data source on the server.

Option | Description
Micro Focus tab | This tab causes the Micro Focus Options Page to be displayed.
Data Source Name text field | This text field contains a name that identifies the data source, such as Payroll or Personnel. This name does not have to match the data source name on the client, but that is preferable.
Description text field | This text field contains an optional description of the data in the data source; for example, "Hire date, salary history, and current review of all employees."
Catalog Name read-only text field | This read-only text field contains the complete name of the catalog associated with the data source. The catalog name may be changed by choosing the Select Catalog or Create Catalog button which will display a Client Server version of an open file name dialog box. Choose the Select Catalog button if the catalog already exists. Choose the Create Catalog button to create a new catalog.
Select Catalog button | Click this button to select a catalog file if the catalog already exists (on the server). This will open the Select Catalog dialog.
Create Catalog button | Click this button to create a new catalog file on the server. This will open the Create Catalog dialog.
Generate Query Plan check box | This is a three-state check box. If selected, query plans will be generated by the Relativity Data Server for any client using this server data source. If grayed, query plans will be generated for any client for which the Generate Query Plan check box in the client data source is selected. If deselected, no query plans will be generated for this server data source, regardless of the state of the Generate Query Plan check box in the client data source. The query plan will be placed in the file identified in the Query Plan File read-only text field. The query plan output file may be selected by clicking the Browse button.
Query Plan File read-only text field | The complete name of the file (on the server) into which query plan information will be stored. Download the Query Plan File to the client and use the Query Plan Viewer to examine the file. Use the Browse button to change the Query Plan File.
Query Plan File Browse button | This button will select or change the file to which the query plan is written.
Code Page list | The content of this list box is ignored. Code pages are only relevant in the client data source.

See Also

Relativity for RM Setup Dialog Box


Relativity for RM Setup Dialog Box

See Also

The Relativity C/S data sources consist of two parts, one that resides of the client and one that resides on the server. Use this dialog box to create or modify a data source on the server.

Option | Description
RM/COBOL tab | This tab causes the RM/COBOL Data Source Options Page to be displayed.
RM Btrieve tab | This tab causes the RM Btrieve Options Page to be displayed.
RM/InfoExpress tab | This tab causes the RM/InfoExpress Options Page to be displayed.
Data Source Name text field | This text field contains a name that identifies the data source, such as Payroll or Personnel. This name does not have to match the data source name on the client, but that is preferable.
Description text field | This text field contains an optional description of the data in the data source; for example, "Hire date, salary history, and current review of all employees."
Catalog Name read-only text field | This read-only text field contains the complete name of the catalog associated with the data source. The catalog name may be changed by choosing the Select Catalog or Create Catalog buttons which will display a Client Server version of an open file name dialog box. Choose the Select Catalog button if the catalog already exists. Choose the Create Catalog button to create a new catalog.
Select Catalog button | Click this button to select a catalog file if the catalog already exists (on the server). This will open the Select Catalog dialog.
Create Catalog button | Click this button to create a new catalog file on the server. This will open the Create Catalog dialog.
Generate Query Plan check box | This is a three-state check box. If selected, query plans will be generated by the Relativity Data Server for any client using this server data source. If grayed, query plans will be generated for any client for which the Generate Query Plan check box in the client data source is selected. If deselected, no query plans will be generated for this server data source, regardless of the state of the Generate Query Plan check box in the client data source. The query plan will be placed in the file identified in the Query Plan File read-only text field. The query plan output file may be selected by clicking the Browse button.
Query Plan File read-only text field | This read-only text field contains the complete name of the file (on the server) into which query plan information will be stored. Download the Query Plan File to the client and use the Query Plan Viewer to examine the file. Use the Browse button to change the Query Plan File.
Query Plan File Browse button | This button will select or change the file to which the query plan is written.
Code Page list | The content of this list box is ignored. Code pages are only relevant in the client data source.

See Also

Relativity for MF Setup Dialog Box


Relativity C/S Setup - Create Catalog Dialog Box

Create Catalog Dialog Box

See Also

The Relativity Setup Create Catalog dialog box allows selection of the catalog file name, directory and drive where a Relativity catalog should be created. After selecting a valid name and pressing the OK button, the catalog will be created. If the selected file name already exists, an error will occur.

If the catalog is successfully created, a message box will appear to let the user know that a new catalog has been created. After responding to this message box, the created catalog name will be returned to the Relativity Setup dialog box as the name of the catalog for the data source.

Option | Description
File Name text field This text field can contain either an actual file name, a directory name or a wildcard. When the OK button is pressed, the contents of this field are evaluated and, depending on its contents, appropriate action is taken.

  • If it contains a file name, that name is appended to the current directory and used as the catalog name. If the name does not have an extension and a file with the entered name does not exist already, the default extension for catalogs on this server will be appended. If a Select Catalog dialog is open, the resulting file name must be the name of an existing file. If a Create Catalog dialog is open, then an attempt is made to create a catalog with the resulting name.
  • If it contains a directory, then this directory will become the current directory, and the Directories list and File Name list will be updated.
  • If it contains a wildcard, then the field's contents becomes the current pattern and the File Name list is updated.
File Name list | This list box contains the files in the current directory that match the current pattern. Single clicking on a name within this box places that name into the File Name field. Double clicking on a name within this field has the same effect as single-clicking the name and pressing the OK button.
List Files of Type combo box | This combo box displays the "patterns" that may be used to restrict the contents of the File Name list. Selecting an entry from this combo box replaces the current pattern for the file name list. There are two patterns available in this combo box: one is to display only catalogs for this server and the other to display all files in the directory. A different pattern may be specified in the File Name field.
Server read-only text field | This read-only text field displays the name of the server.
Directories read-only text field | This read-only text field contains the name of the current directory.
Directories list | This list box displays the directories in the current directory. Double-clicking on a name within this box makes this directory be the current directory. The Directories list and File Name list will be updated. Contained within this list box will also be a server-specific string that indicates that the new current directory should be changed to the parent of the current directory. For example, if the server is running on UNIX, this string will be "..".

See Also

Select Catalog Dialog

Relativity for MF Setup Dialog

Relativity for RM Setup Dialog


Btrieve Definitions

This page contains the definitions of Btrieve terms.

Btrieve Record Manager | Btrieve Record Manager is a key-indexed record management system designed for high-performance data handling and improved programming productivity.
Btrieve | Btrieve is key-indexed record management software; it is also a trademark of Pervasive Software Inc.
RB Adapter | RB Adapter is a program that acts as an interpreter between the RM File Manager and the Btrieve Interface DLL.
Page | Fixed-length portions of memory used by the RB Adapter.
Index | A storage position, the contents of which represent the identification of a particular record in a file.
Indexed Files | The permanent logical file structure in which each record is identified by the value of one or more keys within that record.
Cache | An area in memory used to store pages of disk files. Caches are used to reduce the number of physical disk I/O requests.
Buffer | An area in memory that is used to temporarily store data.
Ignore | The lock mode value of Ignore means to ignore the WITH LOCK phrase and use the mode indicated in Mode option.
Deny | The lock mode value of Deny means that the WITH LOCK phrase will be denied.
Accept | The lock mode value of Accept means to accept the WITH LOCK phrase. If OPEN WITH LOCK is requested by the application, ignore the open mode indicated in the Mode option.
Accelerated | The open mode value of Accelerated means that Btrieve will not perform transaction logging for the file.
Exclusive | The open mode value of Exclusive means that Btrieve will attempt to open the file for exclusive use by this client.
Read-Only | The open mode value of Read-Only means that Btrieve will allow only read operations on files. No write operations will be allowed.
Normal | The open mode value of Normal means that Btrieve will open the file in the normal mode.
Verify | The open mode value of Verify is ignored by current versions of Btrieve. Older versions interpreted this to mean that write operations were verified.
TCP/IP | Transaction Control Program/Internet Protocol.
IPX/SPX | Novell Netware’s network communications protocol.
Linked Duplicates | For each key value stored in an index page, Btrieve stores two pointers with that key value and two pointers are stored at the end of the record in the data page. The pointers in the index page point to the first and last record with this key value. The pointers in the data page are used to link records with the same key value together. This is the default method of handling duplicates.
Repeating Duplicates | Btrieve stores duplicate key values into the index page and the data pages. Thus, both the key entries in the index pages and the records in the data page are smaller. However, if multiple records have the same value for a key, the value is repeated in the index.
Btrieve Version 5 | Designates Btrieve Version 5.0.
Btrieve Version 6.0 | Designates Btrieve Version 6.0.
Btrieve Version 6.1 | Designates Btrieve Version 6.1.


Glossary

This page contains a glossary of terms used within this help file.

Buffer

An area in memory that is used to temporarily store data.

Cache

An area in memory used to store pages of disk files. Caches are used to reduce the number of physical disk I/O requests.

CRDM

COBOL Relational Data Manager. The component of the Relativity database management system that presents the COBOL data files as a relational database.

Relativty data source

A Relativity client data source specifies the ODBC driver used to access the data source, the Relativity catalog (for a single-tier driver) or server name and server data source (for a client data source).

Client data source

A Relativity client data source specifies the ODBC driver used to access the server, the server name and the server data source.

Server data source

A Relativity server data source specifies the Relativity catalog which the Relativity Server uses to access your data files, as well as other database and driver information.

TCP/IP

Transaction Control Program/Internet Protocol.


Micro Focus File Format Definitions

This page contains the definitions of Micro Focus file formats.

Catalog Default File Format | The file format value <None>, when specified for a catalog, indicates that no specific format is requested. This will result in the standard Micro Focus indexed file format being used.
Data File Default File Format | The file format value <None>, when specified for a data file, specifies that no specific format is requested. This will result in a new data file having the file format specified by Catalog Default for existing files or, if there is not a Catalog Default, it will be the same file format as the catalog.
Micro Focus File Format | The value Micro Focus specifies the file as the default Micro Focus file format.
Btrieve File Format | The value Btrieve specifies the file as a Btrieve file format.
C-ISAM File Format | The value C-ISAM will specifies the file as a C-ISAM file format.
LEVEL II File Format | The value LEVEL II COBOL specifies the file as a Micro Focus Level II indexed file format.
IDXFORMAT"4" File Format | The value IDXFORMAT"4" specifies the file as an optimized form of the format used by this system, for fast duplicate key handling.
IDXFORMAT"8" File Format | The value IDXFORMAT"8" specifies a large file format.


Format of Existing Files

By default, the Relativity driver assumes that data files are the same Micro Focus file format as the catalog. This can be overridden by explicitly attaching a file format to a file's connection or by assigning a default for the catalog.

File Connections

The primary means of associating a file format with a data file is by placing a format suffix on the file access name using the Relativity Designer or Administrator.

  • In the Relativity Designer, use the Connections menu item under the Security menu.
  • In the Administrator, use the Connections menu item under the Edit menu.

The suffix is a name that identifies the file’s format and is delimited by brackets ([]). The format names can be:

  • Default
  • Btrieve
  • CISAM
  • LEVELII
  • IDX4
  • IDX8
  • The brackets may also contain a decimal number

Catalog Default

Another means of specifying a file format is to choose a default data file format for the catalog via the Relativity Designer or Administrator Options dialog.

  • In the Designer, it is on the Data Sources tab.
  • In the Administrator, it is on the System tab.

Selecting a data file format other than none on the Options dialog, specifies the format for all other data files in the catalog that do not have an explicit file format suffix specified by the file connections.


Micro Focus File Suffix Definitions

Micro Focus File Format Suffixes

This page contains the suffixes that can be added to Micro Focus file names to specify the format of the file.

Default File Format Suffix

The format name Default will specify the file as a system-specific default format, which is the standard Micro Focus indexed file format.

Btrieve File Format Suffix

The format name Btrieve will specify the file as a Btrieve file.

CISAM File Format Suffix

The format name CISAM will specify the file as a C-ISAM file.

Level II File Format Suffix

The format name LEVELII will specify the file as a Micro Focus Level II format file.

IDX4 File Format Suffix

The format name IDX4 will specify an optimized form of the format used by this system, for fast duplicate key handling.

IDX8 File Format Suffix

The format name IDX8 will specify a large file format.

Numeric File Format Suffix

If the format is a number, it is the same as the value specified in the Micro Focus COBOL FILETYPE directive. See the Micro Focus COBOL, COBOL System Reference manual for more details.


Server Login Dialog Box

The Relativity Server Administrator displays the Server Login dialog when connecting to a server. If the server does not limit accesses, this dialog will not be displayed.

Option | Description
Server Name read-only text field | This text field displays the name of the server to which a connection is being opened.
User Name text field | This text field contains a valid user name. If the server does not limit accesses to the administration functions, you may leave this field blank.
Password text field | This text field contains the password that corresponds to the user name in this field. If you left the user name blank, you may leave this field blank as well.
OK button | This button sends the user name and password to the server for verification. If the server does not limit accesses to the administration functions, this merely completes the process of opening a connection to the server.
Cancel button | This button cancels the attempt to open a connection to the server. If the Server Login dialog appeared as a result of clicking the New Server button on the Select Server dialog, this also cancels the creation of the new server definition.


Relativity Setup - Select Catalog Dialog Box

Select Catalog Dialog Box

The Relativity Setup Select Catalog dialog box allows selection of the catalog file name, directory and drive for a Relativity catalog that already exists.

After selecting a valid name and pressing the OK button, the catalog name will be returned to the Relativity Setup dialog box as the name of the catalog for the data source.

Option | Description
File Name text field This text field can contain either an actual file name, a directory name or a wildcard. When the OK button is pressed, the contents of this field are evaluated and, depending on its contents, appropriate action is taken.

  • If it contains a file name, that name is appended to the current directory and used as the catalog name. If the name does not have an extension and a file with the entered name does not exist already, the default extension for catalogs on this server will be appended. If a Select Catalog dialog is open, the resulting file name must be the name of an existing file. If a Create Catalog dialog is open, then an attempt is made to create a catalog with the resulting name.
  • If it contains a directory, then this directory will become the current directory, and the Directories list and File Name list will be updated.
  • If it contains a wildcard, then the field's contents becomes the current pattern and the File Name list is updated.
File Name list | This list box contains the files in the current directory that match the current pattern. Single clicking on a name within this box places that name into the File Name field. Double clicking on a name within this field has the same effect as single-clicking the name and pressing the OK button.
List Files of Type combo box | This combo box displays the "patterns" that may be used to restrict the contents of the File Name list. Selecting an entry from this combo box replaces the current pattern for the file name list. There are two patterns available in this combo box: one is to display only catalogs for this server and the other to display all files in the directory. A different pattern may be specified in the File Name field.
Server read-only text field | This read-only text field displays the name of the server.
Directories read-only text field | This read-only text field contains the name of the current directory.
Directories list | This list box displays the directories in the current directory. Double-clicking on a name within this box makes this directory be the current directory. The Directories list and File Name list will be updated. Contained within this list box will also be a server-specific string that indicates that the new current directory should be changed to the parent of the current directory. For example, if the server is running on UNIX, this string will be "..".


Relativity Setup - Select Query Plan File Dialog Box

Relativity Setup - Query Plan File Dialog Box

The Select Query Plan File dialog box allows selection of the query plan file name and directory on a UNIX Data Server, and the file name, directory and driver on a Windows Data Server.

After selecting a valid name and pressing the OK button, the file name will be returned to the Relativity setup dialog box and used to store the query plan information for analysis with the Query Plan Viewer.

Note that the query plan file is stored on the Data Server's machine. In the case of a Data Server that is running on UNIX, the query plan file will need to be transferred to a Windows machine on which the Query Plan Viewer has been installed in order to view it.


Relativity Setup Dialog: File Manager Tab

See Also

The Relativity data source setup dialog box contains multiple tabs. If support for both Micro Focus COBOL and RM/COBOL files is installed, the dialog will initially be positioned on the File Manager tab. You must select either RM/COBOL or Micro Focus COBOL before selecting a different tab.

Note: Once you click on Apply or select another tab of this dialog, the File Manager tab will be removed from the dialog. In addition, any tabs specific to the unselected file manager will be removed.

Option | Description
DSN tab | This tab causes the DSN Page to be displayed. The other tabs that are visible from the DSN page is dependent on the file manager selected using the RM/COBOL or Micro Focus COBOL radio buttons on this page.
RM/COBOL tab | This tab causes the RM/COBOL Data Source Options Page to be displayed.
RM Btrieve tab | This tab causes the RM Btrieve Options Page to be displayed.
RM/InfoExpress tab | This tab causes the RM/InfoExpress Options Page to be displayed.
Micro Focus tab | This tab causes the Micro Focus Options Page to be displayed.
Micro Focus COBOL radio button | This radio button selects the Micro Focus COBOL file manager for accessing the files used in this data source.
RM/COBOL radio button | The RM/COBOL option selects the RM/COBOL file manager for accessing the files used in this data source.

See Also

Relativity Configuration Dialog

Data Sources Dialog

Relativity for MF Setup Dialog

Relativity for RM Setup Dialog


Relativity Setup - Micro Focus Data Source Options Page

Relativity Setup - Micro Focus Options Page

The Micro Focus page is used to configure file manager options that are unique to the Micro Focus COBOL file manager.

Option | Description
DSN tab | This tab causes the Relativity for MF Setup Dialog Box to be displayed.
Created Tables Options group | The options in this group are used to configure the file format of indexed files that are created as a result of SQL CREATE TABLE statements.
New File Format list This list box specifies the file format of indexed files that are created on the server as a result of SQL CREATE TABLE statements. The available entries are:
  • <None>
  • Micro Focus
  • Btrieve
  • C-ISAM
  • LEVEL II COBOL
  • IDXFORMAT"4"
  • IDXFORMAT"8"
This entry does not specify the format for existing files. If the New File Format is <None> then the Data File Format specified on the Designer's Data Source Option Page or the DBA's System Option Page is used. If the Data File Format is not present, the Catalog's Format is used.
Data Compress Num numeric field | This numeric field specifies the type data compression number to be used when new files are created on the server as a result of created tables. This value is the same as the Micro Focus COBOL DATACOMPRESS compiler option. The value of 0 indicates that no compression of data records is to take place. The value of 1 indicates that compression algorithm 1 is to be used.
Key Compression check boxes | These three check boxes control compression of keys in new files that are created on the server as a result of created tables.
Key Compression - Trailing Spaces check box This check box indicates if compression of trailing spaces is to occur on the keys of new files that are created on the server as a result of created tables.

  • If checked, the trailing spaces are compressed.
  • If not checked, the trailing spaces are not compressed.
Key Compression - Leading Characters check box This check box indicates if compression of leading characters is to occur on the keys of new files that are created on the server as a result of created tables.

  • If checked, the leading characters that are the same as in the previous key are compressed.
  • If not checked, the leading characters that are the same as in the previous key are not compressed.
Key Compression - Duplicates check box This check box indicates if compression of duplicate keys is to occur on the keys of new files that are created on the server as a result of created tables.

  • If checked, the repetitions of duplicate keys are compressed.
  • If not checked, the repetitions of duplicate keys are not compressed.
Key Compression - Sparse Character Num numeric field This numeric field specifies decimal number of the sparse character for keys of new files that are created on the server as a result of created tables.

  • If this field contains a value, keys in the file that contain only this value are suppressed.
  • If this field does not contain a value, the sparse character is disabled.
Catalog Options group | The options in this group are used to configure the file format of the index file that will be used as the catalog. These options are used only when a catalog is selected or created.
Catalog Format list This list box contains the format of the Micro Focus index file that will be used for the catalog. The available entries are:
  • <None>
  • Micro Focus
  • Btrieve
  • C-ISAM
  • LEVEL II COBOL
  • IDXFORMAT"4"
  • IDXFORMAT"8"
The value selected in this list box at the time that either the Select Catalog or Create Catalog button is pressed is the format that is used. Changing the selection in this list box has no effect on any existing catalog.

See Also

Relativity for RM Setup Dialog Box


Relativity Setup - RM Btrieve Options Page

See Also

The RM Btrieve Options page is used to set up options needed to access Btrieve files.

Option | Description
DSN tab | This tab causes the Relativity for RM Setup Dialog Box to be displayed.
RM/COBOL tab | This tab causes the RM/COBOL Data Source Options Page to be displayed.
RM/InfoExpress tab | This tab causes the RM/InfoExpress Options Page to be displayed.
RM File Manager Options group | This group of options configures the behavior of the RM File Manager. The Btrieve Interface DLL is accessed via the RM File Manager.
Enable Btrieve check box | This check box enables Btrieve access. If this box is not checked, no other options may be set. When this box is changed from unchecked to checked, all other options are set to their default values.
Allow File Creation check box | This check box specifies whether you want the RB Adapter to create any indexed files files as Btrieve files. If the box is checked, new indexed files may be created as Btrieve indexed files. If the box is not checked, new indexed files will not created as Btrieve indexed files. This option is checked by default.
Display Initial Message Box check box | This check box specifies whether the initial message box will be displayed when connecting to the data source. This option is used for debugging purposes and should not be used in a production environment. This option is unchecked by default.
Created Files group | This group contains the options used when Relativity creates a Btrieve file.
Duplicates radio buttons The valid values are Linked and Repeating and only one may be selected. The default value for this option is Linked.
  • The Linked radio button causes all keys of all Btrieve files created by Relativity to be linked-duplicatable keys. This is the default method of handling duplicates.
  • The Repeating radio button causes all keys of all Btrieve files created by Relativity to be repeating-duplicatable keys.
Adapter Page Size list | This list box specifies the default minimum page size for the RB Adapter. A larger page size transfers more data in a single disk request, requires more time to transfer, and requires more memory to contain the pages. A smaller page size allows more blocks in memory for a fixed amount of memory, but requires more time to randomly access a record by increasing the tree depth of each index for the file. If specified, the value must be a multiple of 512 in the range of 512 to 4096, inclusive. When creating a file, the page size used will be the smallest multiple of 512 sufficient to hold the file overhead, eight keys, the fixed part of the record, or if specified, the RB Adapter Page Size, whichever is greater. The value "Not Set" indicates that Btrieve should determine the minimum page size. The default value for this option is "Not Set".
Btrieve Options group | This group of options configures certain options passed to Btrieve.
Owner text field | This text field specifies the "owner" ID -- actually a security password -- for creating new files and for open requests for existing files. The value is a string of up to 8 characters. The value cannot contain spaces. The text field contains no value by default.
Page Size list | This list box specifies the maximum page size of any Btrieve file you wish to access. This option determines the size of the buffers allocated in the cache. The maximum page size must be a multiple of 512 bytes and no greater than 4096 bytes. The larger the buffers size, the fewer bufferss the client-based Btrieve Record Manager is able to allocate within the memory available. However, after you have started the Btrieve Record Manager, you are not able to open any Btrieve file with a page size larger than the size specified in this option. The value "Not Set" indicates that Btrieve should determine the maximum page size. The default value for this option is "Not Set".
Lock Mode radio buttons These radio buttons are used to specify the manner in which the RB Adapter is to handle the WITH LOCK phrase on OPEN statements. Valid values are Ignore, Deny, and Accept. The default value for this option is Accept.
  • The Accept radio button causes the WITH LOCK phrase to be accepted. If OPEN WITH LOCK is requested by the application, ignore the open mode indicated in the Mode option.
  • The Deny radio button causes the WITH LOCK phrase to be denied.
  • The Ignore radio button causes the WITH LOCK phrase to be ignored and the mode indicated in Mode option will be used instead.
Mode radio buttons These radio buttons are used to specify an open mode value to RB Adapter at the time each Btrieve file is opened. Valid values are Accelerated, Exclusive, Read-Only, Normal, and Verify. The default value is Normal.
  • The Accelerated radio button causes Btrieve to not perform transaction logging for the file.
  • The Exclusive radio button causes Btrieve to attempt to open the file for exclusive use by this client.
  • The Read-Only radio button causes Btrieve to allow only read operations on files. No write operations will be allowed.
  • The Normal radio button causes Btrieve to open the file in the normal mode.
  • The Verify radio button is ignored by current versions of Btrieve. Older versions interpreted this to mean that write operations were verified.
Debugging Options group | This group of options configures certain debugging features.
Trace File text field | This text field is used to specify the name of a file to which RB Adapter will write a trace. This feature is used when there is a problem with a Btrieve file not being successfully opened. It should not be used in a production environment because it degrades performance and the trace files could become quite large which might exhaust disk space. Specifying the trace file name actually enables the trace feature. If enabled, clear the trace file name to disable tracing. For ease-of-use, a Browse button is available to aid selecting the right trace file. The trace file does not need to exist in order to specify in this option. However, all directories in the specified path need to exist. The text field contains no value by default.
Trace File Browse button | This button is used to specify the name of a file to which RB Adapter will write a trace. The located file is placed in the Trace File field.
Version Override list This list box indicates to RB Adapter what version of the Btrieve engine will be used. Sometimes this is necessary because the Btrieve engine may not respond in manner that would distinctly indicate its version. In such cases, the following Engine Version values are available: 5, 60, 61. If no engine override is needed, the value "None" should be selected. The default value is "None".
  • The value 5 designates Btrieve Version 5.0.
  • The value 60 designates Btrieve Version 6.0.
  • The value 61 designates Btrieve Version 6.1.
Undo Changes button | This button restores all RM Btrieve options to the value last saved.
Restore Defaults button | This button resets all RM Btrieve options except Enable Btrieve to their default values.

See Also

Relativity for MF Setup Dialog Box


Relativity Setup - RM/COBOL Data Source Options Page

See Also

The RM/COBOL page is used to configure file manager options that are unique to the RM/COBOL file manager.

Option | Description
DSN tab | This tab causes the Relativity for RM Setup Dialog Box to be displayed.
RM Btrieve tab | This tab causes the RM Btrieve Options Page to be displayed.
RM/InfoExpress tab | This tab causes the RM/InfoExpress Options Page to be displayed.
Buffer Pool Size numeric field | This numeric field enables setting of the buffer pool size to be used by the RM File Manager for buffer allocation. Note that only the value specified for the first data source connection takes effect when a single application connects to multiple data sources. The value specifies an integer number of kilobytes (1024 bytes) of memory to be allocated for the buffer pool. A value of zero indicates that the default value of 256K bytes should be used. If the value is left blank, the value will be determined by the value set in the RM File Manager page of the Relativity Configuration dialog. Otherwise, the value must be a decimal integer from 16 to 649.

See Also

Relativity for MF Setup Dialog Box


Relativity Setup - RM/InfoExpress Options Page

See Also

The RM/InfoExpress Options page is used to set up options needed to access files using RM/InfoExpress.

Option | Description
DSN tab | This tab causes the Relativity for RM Setup Dialog Box to be displayed.
RM/COBOL tab | This tab causes the RM/COBOL Data Source Options Page to be displayed.
RM Btrieve tab | This tab causes the RM Btrieve Options Page to be displayed.
RM File Manager Options group | This group of options configures the behavior of the RM File Manager. The RM/InfoExpress client DLL is accessed via the RM File Manager.
Enable InfoExpress check box | This check box enables RM/InfoExpress access. If this box is not checked, no other options may be set. When this box is changed from unchecked to checked, all other options are set to their default values.
Allow File Creation check box | The Allow File Creation option specifies whether new files are created on the InfoExpress server. If the box is checked, new indexed files may be created on the InfoExpress server. If the box is not checked, new indexed files will not created on the InfoExpress server. This option is checked by default.
Display Initial Message Box check box | Specifies whether the initial message box will be displayed when connecting to the data source. This option is used for debugging purposes and should not be used in a production environment. This option is unchecked by default.
Undo Changes button | This button restores all RM/InfoExpress options to the value last saved.
Restore Defaults button | This button resets all RM/InfoExpress options except Enable InfoExpress to their default values.

See Also

Relativity for MF Setup Dialog Box


Relativity ODBC Driver

Relativity Server Administrator

The following topics discuss the Relativity Server Administrator.

Overview
Selecting A Server
Defining A Server
Modifying A Server Definition
Configuring Server Data Sources
Diaplaying Server Status
Configuring Server Options
Setting Up An MF Server Data Source
Setting Up An RM Server Data Source
Creating A Catalog